Subject: Re: ax88179_178a: ethernet to usb dongle disconnect crash

From: Greg KH <[email-masked]>
Date: Mon, 22 Jun 2015 08:31:02 -0700

On Mon, Jun 22, 2015 at 04:09:05PM +0530, Vivek Bhagat wrote:
> Hello Greg,
> 
> Please find comments inline below-
> 
> On Jun 17, 2015 6:23 PM, "Greg KH" <[email-masked]> wrote:
> >
> > On Wed, Jun 17, 2015 at 10:31:40AM +0530, Vivek Bhagat wrote:
> > > Hi All,
> > >
> > > I have connected my pc and TV board as below -
> > >
> > > PC (network i/f) <----> ethernet to usb dongle <---> usb port of TV board
> > >
> > > When I power off  my board, i get a kernel crash.
> > > Please have a look at log attached here.I debug and found that
> > > unregister_netdev() in usbnet_disconnect() clears net_device object
> > > and still skb is under processing which tries to access net_device
> > > object and leads to crash.
> 
> > 3.10 is really old, please try something more "modern" like 4.0 at the
> > very least to see if the issue is still there.
> >
> Our linux 3.10 is having all patches included from stable version 4.0.

I doubt that.  Otherwise it would just be 4.0 :)

> Due to integration issue i can not replace vanilla 4.0 kernel in my setup.

Then you are stuck getting support from the company that is forcing you
to stick with that kernel version, sorry but the community can not help
you out here.

best of luck,

greg k-h